// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

package de.itzbund.egesetz.bmi.lea.domain.enums;

public enum ServiceState {
    THERE_ARE_NO_COMMENTS,
    COMPOUND_DOCUMENT_ID_MISSING,
    COMPOUND_DOCUMENT_NOT_FOUND,
    DOCUMENT_COULD_NOT_BE_PERSISTED,
    COMMENT_COULD_NOT_BE_PERSISTED,
    DOCUMENT_DUPLICATION,
    DOCUMENT_NOT_FOUND,
    EGFADATA_NOT_FOUND,
    DRUCK_NOT_FOUND,
    COMMENT_NOT_FOUND,
    REPLY_NOT_FOUND,
    DOCUMENT_NOT_VALID,
    DOCUMENT_VALIDATION_ERROR,
    INVALID_ARGUMENTS,
    NOT_IMPLEMENTED,
    NO_PERMISSION,
    OK,
    REGELUNGSVORHABEN_NOT_FOUND,
    TEMPLATE_NOT_FOUND,
    UNKNOWN_ERROR,
    COMMENT_REPLY_NOT_FOUND,
    INVALID_STATE,
    ONLY_ONE_KABINETT_VOTING,
    KABINETT_VOTING_ONGOING,
    COMMENT_REPLY_NOT_PERSISTED,
    DOCUMENT_HAS_WRONG_TYPE,
    VORBLATT_NOT_FOUND,
    BEGRUENDUNG_NOT_FOUND,
    REMOVED_ALL_PERMISSIONS,
    NOT_MODIFIED,
    CREATED,
    DOCUMENT_IS_NOT_IN_DRAFT,
    INCONSISTENT_DATA,
    XML_TRANSFORM_ERROR,
    DRUCKSACHE_FUER_REGELUNGSVORHABEN_VORHANDEN,
    DRUCKSACHENNUMMER_BEREITS_VERGEBEN,
    DRUCKSACHENNUMMER_UNGUELTIG,
    FEHLENDER_STATUS_BUNDESRAT,
    BESTANDSRECHT_NICHT_VORHANDEN
}
